<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Player](./bitburner.player.md)

## Player interface


**Signature:**

```typescript
interface Player extends Person 
```
**Extends:** [Person](./bitburner.person.md)

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [entropy](./bitburner.player.entropy.md) |  | number |  |
|  [factions](./bitburner.player.factions.md) |  | string\[\] |  |
|  [jobs](./bitburner.player.jobs.md) |  | Partial&lt;Record&lt;[CompanyName](./bitburner.companyname.md)<!-- -->, [JobName](./bitburner.jobname.md)<!-- -->&gt;&gt; |  |
|  [karma](./bitburner.player.karma.md) |  | number |  |
|  [location](./bitburner.player.location.md) |  | [LocationName](./bitburner.locationname.md) |  |
|  [money](./bitburner.player.money.md) |  | number |  |
|  [numPeopleKilled](./bitburner.player.numpeoplekilled.md) |  | number |  |
|  [totalPlaytime](./bitburner.player.totalplaytime.md) |  | number |  |

